package sms

import "eta/eta_mini_ht_api/models/sms"

const (
	hzCode = 1
)

type Msg struct {
	SMId    int
	Mobile  string
	Content string
}

func SendSms(msg Msg) (err error) {
	apiEntity := convert(msg)
	err = sms.Send(apiEntity)
	if err != nil {
		return err
	}
	return nil
}

func convert(msg Msg) sms.ApiMtZsyyt {
	return sms.ApiMtZsyyt{
		SrcID:   hzCode,
		SMID:    msg.SMId,
		Mobiles: msg.Mobile,
		Content: msg.Content,
	}
}
